/// <reference types="react" />
export type ArrayHook<T> = {
    array: T[];
    set: React.Dispatch<React.SetStateAction<T[]>>;
    push: (element: T) => void;
    filter: (callback: (element: T, index: number, array: T[]) => boolean) => void;
    update: (index: number, newElement: T) => void;
    remove: (index: number) => void;
    clear: () => void;
    find: (callback: (element: T, index: number, array: T[]) => boolean) => T | undefined;
    findIndex: (callback: (element: T, index: number, array: T[]) => boolean) => number;
    replace: React.Dispatch<React.SetStateAction<T[]>>;
};
export default function useArray<T>(defaultValue?: T[]): ArrayHook<T>;
