import { useState, useCallback } from "react";
export default function useStateWithValidation(validationFunc, initialValue) {
    var _a = useState(initialValue), state = _a[0], setState = _a[1];
    var _b = useState(function () { return validationFunc(state); }), isValid = _b[0], setIsValid = _b[1];
    var onChange = useCallback(function (nextState) {
        var value = typeof nextState === "function" ? nextState(state) : nextState;
        setState(value);
        setIsValid(validationFunc(value));
    }, [validationFunc]);
    return [state, onChange, isValid];
}
